Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Animation

Extends Tee.Tool.
Base abstract class to perform Animations.
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Animation(target, onstep)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| autoDraw When true, the animation repaints the chart at every step.
| duration Duration in milliseconds of the animation.
| items Sub-animations that are executed in parallel with self.
| loop When true, the animation never stops (starts again when finished).
| running Read-only, returns if the animation is currently running.

Fields borrowed from class Tee.Tool:
  active

Method Summary
Method Attributes | Method Name and Description
--- | ---
| animate(chart)
| doStep(f)
| start()
| step()
| stop()

Methods borrowed from class Tee.Tool:
  clicked, draw, mousedown, mousemove, mouseout

Class Detail
Tee.Animation(target, onstep)

Parameters:
target
onstep

Field Detail
{boolean} autoDraw
When true, the animation repaints the chart at every step.

Default Value:
  true

{Number} duration
Duration in milliseconds of the animation.

Default Value:
  500

{Tee.Animation[]} items
Sub-animations that are executed in parallel with self.

{boolean} loop
When true, the animation never stops (starts again when finished).

Default Value:
  false

{boolean} running
Read-only, returns if the animation is currently running.

Default Value:
  false

Method Detail
animate(chart)

Parameters:
chart

doStep(f)

Parameters:
f

start()

step()

stop()

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:36 GMT+0200 (CEST)